package net.geraldloeffler.tasktracker2006.webui.controller;

import java.util.Date;
import java.util.List;

import javax.annotation.EJB;

import net.geraldloeffler.tasktracker2006.domain.Entry;
import net.geraldloeffler.tasktracker2006.service.EntryService;
import net.geraldloeffler.tasktracker2006.webui.util.ServiceLookup;

/**
 * Controller for list-entries use case in the form of a JSF managed bean.
 * 
 * @author Gerald Loeffler
 */
public class ListEntries extends Controller {
  private Date         from         = new Date();
  private Date         to           = new Date();
  private List<Entry>  entries;
  @EJB
  private EntryService entryService = ServiceLookup.entryService();

  public String findEntries() {
    entries = entryService.getEntriesInPeriod(from, to);
    return null;
  }

  public Date getFrom() {
    return from;
  }

  public void setFrom(Date from) {
    this.from = from;
  }

  public Date getTo() {
    return to;
  }

  public void setTo(Date to) {
    this.to = to;
  }

  public List<Entry> getEntries() {
    return entries;
  }
}
