<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<%@include file="WEB-INF/jspf/html_head.jspf"%>
<body>
<f:view>
  <%@include file="WEB-INF/jspf/menu.jspf"%>
  <h:form>

    <h1>Edit Entry <h:outputText value="#{EditEntry.entry.id}" /></h1>

    <h:panelGrid columns="3">
      <h:outputLabel value="Project" for="project" />
      <h:outputText id="project" value="#{EditEntry.entry.task.project.name}" />
      <h:panelGroup />

      <h:outputLabel value="Task" for="task" />
      <h:outputText id="task" value="#{EditEntry.entry.task.name}" />
      <h:panelGroup />

      <h:outputLabel value="From" for="from" />
      <h:outputText id="from" value="#{EditEntry.entry.from}">
        <f:convertDateTime type="both" dateStyle="short" timeStyle="short" />
      </h:outputText>
      <h:panelGroup />

      <h:outputLabel value="To" for="to" />
      <h:inputText id="to" value="#{EditEntry.entry.to}">
        <f:convertDateTime type="both" dateStyle="short" timeStyle="short" />
      </h:inputText>
      <h:panelGroup>
        <h:message for="to" styleClass="failure" />
      </h:panelGroup>

      <h:outputLabel value="Description" for="description" />
      <h:inputText id="description" value="#{EditEntry.entry.description}" />
      <h:panelGroup>
        <h:message for="description" styleClass="failure" />
      </h:panelGroup>

      <h:panelGroup />
      <h:commandLink action="#{EditEntry.saveEntry}" value="Save" />
      <h:panelGroup />
    </h:panelGrid>

  </h:form>
  <%@include file="WEB-INF/jspf/footer.jspf"%>
</f:view>
</body>
</html>
