<%@page contentType="text/html" pageEncoding="UTF-8"%>

<%@taglib prefix="f" uri="http://java.sun.com/jsf/core"%>
<%@taglib prefix="h" uri="http://java.sun.com/jsf/html"%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
<%@include file="WEB-INF/jspf/html_head.jspf"%>
<body>
<f:view>
  <%@include file="WEB-INF/jspf/menu.jspf"%>
  <h:form>

    <h1>Create Entry</h1>

    <h:panelGrid columns="3">
      <h:outputLabel value="Task" for="task" />
      <h:selectOneMenu id="task" value="#{CreateEntry.taskValue}"
        required="true" onchange="form.submit()">
        <f:selectItems value="#{CreateEntry.taskSIs}" />
      </h:selectOneMenu>
      <h:panelGroup />

      <h:outputLabel value="From" for="from" />
      <h:inputText id="from" value="#{CreateEntry.from}" required="true">
        <f:convertDateTime type="both" dateStyle="short" timeStyle="short" />
      </h:inputText>
      <h:panelGroup>
        <h:message for="from" styleClass="failure" />
      </h:panelGroup>

      <h:panelGroup />
      <h:commandLink action="#{CreateEntry.createEntry}" value="Create" />
      <h:panelGroup />
    </h:panelGrid>

  </h:form>
  <%@include file="WEB-INF/jspf/footer.jspf"%>
</f:view>
</body>
</html>
